#include <stdio.h>
#include <stdlib.h>

int main (int argc, char*argv[])
{
  long a, b;

  if (argc != 3)
  {
    fprintf (stderr, "errore: inserire due numeri interi\n");
    exit (1);
  }

  if (sscanf (argv[1],"%ld",&a) != 1)
  {
    fprintf (stderr, "errore: il primo parametro (%s) non e' un numero intero\n", argv[1]);
    exit (2);
  }

  if (sscanf(argv[2],"%ld",&b) != 1)
  {
    fprintf (stderr, "errore: il secondo parametro (%s) non e' un numero intero\n", argv[2]);
    exit (3);
  }

  printf ("%ld + %ld = %ld", a, b, a+b);

  return 0;
}
